#pragma once

class CListCtrlItemWalk
{
public:
	CListCtrlItemWalk(CListCtrl* pListCtrl) { m_pListCtrl = pListCtrl; }

	virtual CObject* GetNextSelectableItem(CObject* pCurrentObj); // MOD: MLD - [ModelesDialogs] <-- Loulach --
	virtual CObject* GetPrevSelectableItem(CObject* pCurrentObj); // MOD: MLD - [ModelesDialogs] <-- Loulach --

	CListCtrl* GetListCtrl() const { return m_pListCtrl; }

protected:
	CListCtrl* m_pListCtrl;
};
